What versions of qbXML to various versions of QuickBooks support?

Latest Release Notes from QuickBooks SDK

QuickBooks 2009 and Enterprise 9.0

  • 7.0
  • 6.0
  • 5.0
  • 4.1
  • 4.0
  • 3.0
  • 2.1
  • 2.0
  • 1.1
  • 1.0

QuickBooks 2008 Canadian

Note from the QB SDK 7.0: While the currently available CA QB 2003-2007 supports qbXML CA3.0 & CA2.0 and the currently available UK QB 2003-2006 supports qbXML UK 3.0 & UK2.0, these qbXML specs will NOT be supported by any future CA or UK QB release. Instead those future releases will support qbXML 1.0 through 6.0.

QuickBooks 2007 and Enterprise 7.0 (Using QBXMLRP2)

  • 6.0
  • 5.0
  • 4.1
  • 4.0
  • 3.0
  • 2.1
  • 2.0
  • 1.1
  • 1.0

QuickBooks 2006 and Enterprise 6.0 (Using QBXMLRP2)

  • 5.0
  • 4.1
  • 4.0
  • 3.0
  • 2.1
  • 2.0
  • 1.1
  • 1.0

QuickBooks 2005 and Enterprise 5.0 (R5 and later) (using QBXMLRP2)

  • 4.1
  • 4.0
  • 3.0
  • 2.1
  • 2.0
  • 1.1
  • 1.0

QuickBooks 2005 (and Enterprise 5.0) (using QBXMLRP2)

  • 4.0
  • 3.0
  • 2.1
  • 2.0
  • 1.1
  • 1.0

QuickBooks 2004 (and Enterprise 4.0) (using QBXMLRP2)

  • 3.0
  • 2.1
  • 2.0
  • 1.1
  • 1.0

QuickBooks 2003, Enterprise 3.0* (R7 and above) and all later versions of QuickBooks using QBXMLRP

  • 2.1
  • 2.0
  • 1.1
  • 1.0

QuickBooks 2003 (and Enterprise 2.0)

  • 2.0
  • 1.1
  • 1.0

QuickBooks 2002 (R2 and above) (and Enterprise)

  • 1.1
  • 1.0

QuickBooks 2002 (R1)

  • 1.0

QuickBooks Online Edition

  • 6.0
  • 5.0
  • 4.1
  • 4.0
  • 3.0
  • 2.1
  • 2.0

QuickBooks 2004-2007 Canadian (using QBXMLRP2)

  • CA3.0
  • CA2.0

QuickBooks 2004-2006 UK Editions (using QBXMLRP2)

  • UK3.0
  • UK2.0

QuickBooks 2003, Canadian and UK Editions and all later versions of these through QuickBooks 2006

  • CA2.0
  • UK2.0
  • CA2.0
  • UK2.0
quickbooks_qbxml_versions.txt · Last modified: 2013/01/21 12:44 (external edit)